Reading

Get registers readings

get

Required permissions: Meter.Organization.Read

Query parameters
organizationIdinteger · int32Required

The identifier of the organization

registerIdinteger · int32[]Required

The identifiers of the registers

startstring · date-timeRequired

The start date and time represented using ISO 8601 format and is always in UTC time, e.g. midnight UTC on Jan 1, 2014 would look like this: '2014-01-01T00:00:00Z'.

endstring · date-timeRequired

The end date and time represented using ISO 8601 format and is always in UTC time, e.g. midnight UTC on Jan 1, 2014 would look like this: '2014-01-01T00:00:00Z'.

resolutioninteger · int32Optional

The readings resolution in seconds and if not supplied the default value is 0 seconds

Responses
chevron-right
200

The list of registers readings

application/json
registerIdinteger · int32Optional
get
/api/readings

Save readings

post

Required permission is Meter.Organization.ReadWrite in the organization(s) that have access to the meters.

Body
Responses
post
/api/readings

No content

Get registers hourly average readings

get

Required permissions: Meter.Organization.Read

Query parameters
organizationIdinteger · int32Required

The identifier of the organization

registerIdinteger · int32[]Required

The identifiers of the registers

startstring · date-timeRequired

The start date and time represented using ISO 8601 format and is always in UTC time, e.g. midnight UTC on Jan 1, 2014 would look like this: '2014-01-01T00:00:00Z'.

endstring · date-timeRequired

The end date and time represented using ISO 8601 format and is always in UTC time, e.g. midnight UTC on Jan 1, 2014 would look like this: '2014-01-01T00:00:00Z'.

Responses
chevron-right
200

The list of registers readings

application/json
registerIdinteger · int32Optional
get
/api/readings/average/hourly

Last updated

Was this helpful?